Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 472696 (vcards-daemon) - Review Request: vcards-daemon - manage evolution contacts as vcards
Summary: Review Request: vcards-daemon - manage evolution contacts as vcards
Keywords:
Status: CLOSED NOTABUG
Alias: vcards-daemon
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-11-23 17:51 UTC by Alec Leamas
Modified: 2009-07-10 18:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-10 18:08:06 UTC


Attachments (Terms of Use)

Description Alec Leamas 2008-11-23 17:51:11 UTC
A simple daemon which manages a directory of vcards reflecting the contents of a address book in evolution data server. On user level, it's related to bug 471575 - this part makes vcards available for the extension. However, there are no technical dependencies.

Source RPM:http://downloads.sourceforge.net/dt-contacts/vcards-evo-daemon-0.2-1.61.src.rpm?use_mirror=

Spec: http://downloads.sourceforge.net/dt-contacts/vcards-evo-daemon.spec?use_mirror=

Comment 1 Alec Leamas 2008-11-23 17:54:14 UTC
This is my second aubmission for approval;  I need s sponsor. My attempts to make what's required for being sponsored are documented in bug 471575

Comment 2 Alec Leamas 2008-11-23 17:54:36 UTC
This is my second submission for approval;  I need s sponsor. My attempts to make what's required for being sponsored are documented in bug 471575

Comment 3 Mamoru TASAKA 2009-05-25 08:21:17 UTC
Some notes for 0.2-1.61:

* Versioning / creating tarball
  - If you want to rebase source tarball on svn repository,
    please follow:
    * To create tarball:
      https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
    * For versioning:
      https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

* BR (BuildRequires)
  - This package does not build without "BR: cvs"
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1374931

  - I guess "BR: gettext-devel" can be changed to "BR: gettext"
    and "BR: subversion" is not needed (once the tarball is created)
    (koji scratch build succeeds)

  - When perl module related packages are needed for BR, please avoid
    to use direct name of the package but use virtual name which
    the needed rpm provides:
    https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides
    (i.e. change to "BuildRequires: perl(XML::Parser)"

  - "BR: glib2-devel" is redundant because gtk2-devel requires glib2-devel.

* %configure usage
  - "--prefix=%{_prefix}" or so is not needed for %configure
  ! You can check what %configure actually does by
    $ rpm --eval %configure

* desktop-file-utils usage
  - "desktop-file-validate" must be called for the files installed
    under %buildroot (i.e after "make install")

* Keeping timestamps
  - Please consider to use
------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
------------------------------------------------------------------
    to keep timestamps on installed files.
    This method usually works for Makefiles generated by recent
    autotools.

* Documents
  ! This software is actually under GPLv2 (from the source codes),
    however "COPYING" file is GPLv3 text.

  - "ABOUT-NLS" is not useful for this package because this
    (usually) shows general information for transformation.

* Desktop files
  - Usually desktop files should be installed under %_datadir/applications.
    Would you check if %_datadir/vcards-evo-daemon is the desired
    directory for desktop files to be installed for this package?

Comment 4 Mamoru TASAKA 2009-06-07 16:47:21 UTC
ping?

Comment 5 Mamoru TASAKA 2009-06-14 16:42:28 UTC
ping again?

Comment 6 Mamoru TASAKA 2009-06-28 19:13:29 UTC
I will close this bug if no response is received from the reporter
within ONE WEEK.

Comment 7 Jason Tibbitts 2009-07-10 18:08:06 UTC
Well, it's been well over a week, so I'll go ahead and close this.


Note You need to log in before you can comment on or make changes to this bug.